Package org.eclipse.graphiti.ui.internal.command

# Class ContextEntryCommand

java.lang.Object
org.eclipse.gef.commands.Command
org.eclipse.graphiti.ui.internal.command.ContextEntryCommand

public class ContextEntryCommand extends org.eclipse.gef.commands.Command

## Constructor Summary

Constructors
Constructor
Description
`ContextEntryCommand(IContextEntry contextEntry)`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
`IContextEntry`
`getContextEntry()`
`String`
`getLabel()`

### Methods inherited from class org.eclipse.gef.commands.Command

`canExecute, canRedo, canUndo, chain, dispose, getDebugLabel, redo, setDebugLabel, setLabel, undo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextEntryCommand

public ContextEntryCommand(IContextEntry contextEntry)

## Method Details

### execute

public void execute()

Overrides:
  `execute` in class `org.eclipse.gef.commands.Command`

### getContextEntry

public IContextEntry getContextEntry()

### getLabel

public String getLabel()

Overrides:
  `getLabel` in class `org.eclipse.gef.commands.Command`